SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Functions
RakNetSocket2.cpp File Reference
`#include "slikenet/socket2.h"`
`#include "slikenet/memoryoverride.h"`
`#include "slikenet/assert.h"`
`#include "slikenet/sleep.h"`
`#include "slikenet/SocketDefines.h"`
`#include "slikenet/GetTime.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <arpa/inet.h>`
`#include <errno.h>`
`#include <ifaddrs.h>`
`#include <netinet/in.h>`
`#include <net/if.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <sys/ioctl.h>`
`#include "RakNetSocket2_360_720.cpp"`
`#include "RakNetSocket2_PS3_PS4.cpp"`
`#include "RakNetSocket2_PS4.cpp"`
`#include "RakNetSocket2_Windows_Linux.cpp"`
`#include "RakNetSocket2_Windows_Linux_360.cpp"`
`#include "RakNetSocket2_Vita.cpp"`
`#include "RakNetSocket2_NativeClient.cpp"`
`#include "RakNetSocket2_Berkley.cpp"`
`#include "RakNetSocket2_Berkley_NativeClient.cpp"`
`#include "RakNetSocket2_WindowsStore8.cpp"`

Go to the source code of this file.

## Macros

#define | RAKNET_SOCKET_2_INLINE_FUNCTIONS
#define | INVALID_SOCKET -1

## Functions

| RAK_THREAD_DECLARATION (RNS2_Berkley::RecvFromLoop)

## Macro Definition Documentation

#define INVALID_SOCKET -1

Definition at line 61 of file RakNetSocket2.cpp.

Referenced by SLNet::RNS2_Berkley::RNS2_Berkley(), and SLNet::RNS2_Berkley::~RNS2_Berkley().

#define RAKNET_SOCKET_2_INLINE_FUNCTIONS

Definition at line 45 of file RakNetSocket2.cpp.

## Function Documentation

RAK_THREAD_DECLARATION | ( | RNS2_Berkley::RecvFromLoop |  | ) |

Definition at line 341 of file RakNetSocket2.cpp.

References SLNet::RNS2_Berkley::RecvFromLoopInt().